import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class InscriptionService{
	list (param) {
		return request({
			url: prefix +'/inscription/findList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/inscription/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/inscription/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/inscription/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/inscription/delete",
			method: 'delete',
			params: {id: ids}
		})
	}


	adminEditForm(param){
		return request({
			url: prefix + "/inscription/adminEditForm",
			method: "post",
			data: param,
		})
	}

	getPageTotal(inputForm){
		return request({
			url: prefix + "/inscription/getPageTotal",
			method: "post",
			data: inputForm,
		})

	}

	downloadInscription (id) {
		return request({
			url: prefix + '/inscription/downloadInscription',
			method: 'get',
			params: {id: id},
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/inscription/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
